declare const _default: {
    new (props: {
        className?: string | undefined;
        style?: import("react").CSSProperties | undefined;
        onUpdateSize?: (() => void) | undefined;
    }, context: unknown): {
        state: {
            width: number | null;
            height: number | null;
        };
        timeoutId: NodeJS.Timeout | null;
        _currentElement: Element | null;
        _printMediaQuery: MediaQueryList;
        _refreshMode: "none" | "throttle" | "debounce" | "debounceLeading";
        _updateSize: () => void;
        _getElement(): Element | null;
        componentDidMount(): void;
        componentDidUpdate(): void;
        componentWillUnmount(): void;
        _getRefreshMode: () => "none" | "throttle" | "debounce" | "debounceLeading";
        _updateRefreshMode: () => void;
        _updateSizeAndRefreshMode: () => void;
        _initResizeObserver(): void;
        _updateResizeObserver(): void;
        _teardownResizeObserver(): void;
        _initMediaQueryListener(): void;
        _teardownQueryMediaListener(): void;
        __updateSize: () => void;
        render(): import("react/jsx-runtime").JSX.Element;
        context: unknown;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: import("react").Context<any> | undefined;
};
export default _default;
